summaryrefslogtreecommitdiffstats
path: root/debian/mdadm.cron.daily
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2023-02-24 14:37:52 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2023-02-24 14:37:52 +0000
commit1cbda917747b894268cbe6ec6e576db26d9fd049 (patch)
treec88de9d39f187cf339e1add1f768bbda4a61130f /debian/mdadm.cron.daily
parentAdding upstream version 4.2. (diff)
downloadmdadm-1cbda917747b894268cbe6ec6e576db26d9fd049.tar.xz
mdadm-1cbda917747b894268cbe6ec6e576db26d9fd049.zip
Adding debian version 4.2-5.debian/4.2-5
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/mdadm.cron.daily')
-rw-r--r--debian/mdadm.cron.daily21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/mdadm.cron.daily b/debian/mdadm.cron.daily
new file mode 100644
index 0000000..389d74b
--- /dev/null
+++ b/debian/mdadm.cron.daily
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# cron.daily/mdadm -- daily check that MD devices are functional
+#
+# Copyright © 2008 Paul Slootman <paul@debian.org>
+# distributed under the terms of the Artistic Licence 2.0
+
+# As recommended by the manpage, run
+# mdadm --monitor --scan --oneshot
+# every day to ensure that any degraded MD devices don't go unnoticed.
+# Email will go to the address specified in /etc/mdadm/mdadm.conf .
+#
+set -eu
+
+MDADM=/sbin/mdadm
+[ -x $MDADM ] || exit 0 # package may be removed but not purged
+
+[ -e /etc/default/mdadm ] && . /etc/default/mdadm
+[ $AUTOSCAN = false ] && exit 0
+
+exec $MDADM --monitor --scan --oneshot